Jack2 1.9.12

Public Member Functions | Public Attributes | List of all members
Jack::JackClientControl Struct Reference

Client control possibly in shared memory. More...

`#include <JackClientControl.h>`

Inheritance diagram for Jack::JackClientControl:

## Public Member Functions
| JackClientControl (const char *name, int pid, int refnum, int uuid)
| JackClientControl (const char *name)
void | Init (const char *name, int pid, int refnum, int uuid)
Public Member Functions inherited from Jack::JackShmMemAble
void | Init ()
int | GetShmIndex ()
char * | GetShmAddress ()
void | LockMemory ()
void | UnlockMemory ()

## Public Attributes
char | fName [JACK_CLIENT_NAME_SIZE+1]
bool | fCallback [kMaxNotification]
volatile jack_transport_state_t | fTransportState
volatile bool | fTransportSync
volatile bool | fTransportTimebase
int | fRefNum
int | fPID
bool | fActive
int | fSessionID
char | fSessionCommand [JACK_SESSION_COMMAND_SIZE]
jack_session_flags_t | fSessionFlags

## Additional Inherited Members
Protected Attributes inherited from Jack::JackShmMemAble
jack_shm_info_t | fInfo

## Detailed Description

Client control possibly in shared memory.

Definition at line 38 of file JackClientControl.h.

The documentation for this struct was generated from the following file:

- JackClientControl.h